<template lang="pug">
	section#escritorio
		article#portada
			div#bienvenida
				h1 Bienvenido al administrador de archivos de #[strong Mobil]
				h2 Repositorio de archivos en el cual podrás subir y buscar el contenido final tus piezas
			buscar
		//-article#ficheros
			article#favoritos( v-if="favoritos.length" )
				h2 Favoritos
				.lista: ItemFichero( v-for="item in favoritos", :key="item.id", :archivo="item" )

			//-article#recientes( v-if="recientes.length" )
				h2 Archivos Recientes
				.lista: ItemFichero( v-for="item in recientes", :key="item.id", :archivo="item" )

			//-tarjeta#comentarios( titulo="Comentarios recientes", :fija="true", v-if="comentarios.length" )
				.lista: ItemComentario( v-for="item in comentarios", :key="item.id", :comentario="item" ).item

</template>


<script>
	import Buscar from "@/components/Buscar";
	import ItemFichero from "@/components/ItemFichero";
	import ItemComentario from "@/components/ItemComentario";
	import Tarjeta from "@/components/Tarjeta";
	import { mapState, mapGetters, mapActions } from "vuex";

	export default {
		name: "Escritorio",
		components: {
			Buscar,
			ItemFichero,
			ItemComentario,
			Tarjeta
		},
		data() {
			return {
				recientes: [],
				comentarios: []
			};
		},
		computed: {
			...mapState(["usuario", "favoritos"]),
			...mapGetters(["nombreCompleto"])
		},
		methods: {
			...mapActions([
				"obtenerCategorias",
				"obtenerFavoritos",
				"obtenerEtiquetas"
			])
		}
	};
</script>

<style lang="stylus" scoped>
	@import "~nib/index"
	@import "../stylus/base/utiles.styl"

	#escritorio
		// flex 1 0 100%
		display flex
		flex-direction column
		align-items stretch
		background-color blanco
		// justify-content center
		// -padding-bottom 1rem

	#portada
		flex 3 0 auto
		display flex
		flex-direction column
		justify-content center
		align-items center
		padding 1rem
		background-color azul
		background-image url( "/img/f1.jpg" )
		background-blend-mode soft-light
		background-size cover
		background-position center

		h1
			color tint( azul, 90% )
			margin .5rem
			font-size calcRem( 36 )

	#bienvenida
		align-items center
		justify-content center
		display flex
		flex-direction column
		margin-bottom 30px

	#buscar
		width 70%

	#ficheros
		flex 0 0 auto
		margin 1rem
		border-radius .5rem
		// -display grid
		// -grid-gap 1px 1.5rem
		// -grid-template-areas "favoritos comentarios" \
		// -	"recientes comentarios"
		// grid-template-columns 3fr 1fr

	h2
		text-align left
		margin-bottom .5rem
		font-size calcRem( 16 )
		color tint( azul, 40% )

	#favoritos
		grid-area favoritos
		padding 1rem
		background-color #F2F2F2

		.lista
			display grid
			grid-gap 1rem
			grid-template-columns repeat( 4, 1fr )

			.itemFichero
				border-radius .3rem

	#recientes
		grid-area recientes
		padding 1rem
		background-color #E6E6E6

		.lista
			display grid
			grid-gap .75rem
			grid-template-columns repeat( 5, 1fr )

	#comentarios
		max-height 50vh
		grid-area comentarios
		background-color blanco

		.lista
			.item+.item
				margin-top 1rem
</style>
